/****************************************************************************
** Form interface generated from reading ui file './rename.ui'
**
** Created: Mon Aug 28 07:20:58 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.6   edited Aug 31 2005 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef RENAME_H
#define RENAME_H

#include <qvariant.h>
#include <qwidget.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class KListView;
class QListViewItem;
class QCheckBox;
class QLabel;
class QGroupBox;
class KIntSpinBox;
class QPushButton;
class KComboBox;
class QRadioButton;
class QButtonGroup;
class KPushButton;

class Rename : public QWidget
{
    Q_OBJECT

public:
    Rename( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Rename();

    KListView* View;
    QCheckBox* rShow;
    QLabel* lSelected;
    QGroupBox* groupBox4;
    QLabel* lStart;
    QLabel* lStep;
    QLabel* lDigits;
    KIntSpinBox* rStart;
    KIntSpinBox* rStep;
    KIntSpinBox* rDigits;
    QCheckBox* rWidth;
    QCheckBox* rAllow;
    QCheckBox* rShuffle;
    QPushButton* reRandomize;
    QGroupBox* groupBox5;
    QCheckBox* rSelExt;
    QLabel* lExt;
    KComboBox* rExt;
    QRadioButton* rLExt;
    QRadioButton* rUExt;
    QButtonGroup* btngrpProfiles;
    QCheckBox* chkProfile;
    KComboBox* cmbProfile;
    KPushButton* prLoad;
    KPushButton* prDefault;
    KPushButton* prNew;
    KPushButton* prEdit;
    KPushButton* prSave;
    KPushButton* prDelete;
    QGroupBox* groupBox3;
    QCheckBox* nOriginal;
    QRadioButton* nLCase;
    QRadioButton* nUCase;
    QRadioButton* nFCap;
    QRadioButton* nSCap;
    QCheckBox* nSpecify;
    KComboBox* rName;
    QLabel* lPref;
    KComboBox* nPref;
    QPushButton* pTime;
    QLabel* lSuf;
    KComboBox* nSuf;
    QPushButton* sTime;
    QCheckBox* sort;
    QPushButton* buttonAbout;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;

    virtual void useTimeStamp( int mode );
    void getFormatParts( int mode );
    virtual QDateTime getTimeStampData( QString fName, QString type );
    virtual bool isValidExifDate( QString s );
    virtual bool checkIt( const QString mName );
    virtual void readConfig();
    virtual bool reAllocateConfigData( int items );
    virtual void fillProfile( int item );
    virtual int getProfileByIndex( int index );
    virtual int getProfileByCurrentText();
    virtual int getProfileByText( QString txt );
    virtual int getDefProfileIndex();
    virtual QString getNewProfileNumber();
    int readProfiles( KConfig * conf );
    bool notRevised( int id );
    void clearDeletedProfiles( KConfig * conf );
    int getDeletedProfile();
    virtual void keyPressEvent( QKeyEvent * e );
    virtual void closeEvent( QCloseEvent * e );
    int getFreeProfileNum();
    virtual bool dublicateElement( QString tmp );
    virtual void fill_cmbProfile();
    virtual int getActiveProfileIndex();

public slots:
    virtual void init();
    virtual void updateView();
    virtual void RenameIt();
    virtual void nOriginalClicked( int state );
    virtual void nSpecifyClicked( int state );
    virtual void nLCaseClicked( int state );
    virtual void nUCaseClicked( int state );
    virtual void nFCapClicked( int state );
    virtual void nSCapClicked( int state );
    virtual void rStepClicked( int val );
    virtual void rLExtClicked( int state );
    virtual void rUExtClicked( int state );
    virtual void nSufChanged();
    virtual void rSElExtClicked( int state );
    virtual void updateNameView();
    virtual void updateExtView();
    virtual void updateCounterView();
    virtual void pTimeClicked();
    virtual void sTimeClicked();
    virtual void showAbout();
    virtual void CancelIt();
    virtual void chkProfileCahnged( int state );
    virtual void cmbProfileChanged( int ind );
    virtual void prDefaultClicked();
    virtual void prNewClicked();
    virtual void prEditClicked();
    virtual void prDeleteClicked();
    virtual void applyProfile( int index );
    virtual void prLoadClicked();
    virtual void cmbProfileEnterPressed();
    virtual void cmbProfileEnter( const QString & txt );
    virtual void prSaveClicked();

protected:
    QVBoxLayout* RenameLayout;
    QHBoxLayout* layout28;
    QSpacerItem* spacer20_3;
    QGridLayout* layout44;
    QHBoxLayout* groupBox4Layout;
    QSpacerItem* spacer11;
    QVBoxLayout* layout32;
    QHBoxLayout* layout33;
    QVBoxLayout* layout24;
    QHBoxLayout* layout23;
    QSpacerItem* spacer10;
    QHBoxLayout* layout22;
    QSpacerItem* spacer12;
    QHBoxLayout* layout21;
    QSpacerItem* spacer13;
    QVBoxLayout* layout25;
    QHBoxLayout* layout31;
    QSpacerItem* spacer20_2;
    QVBoxLayout* layout30;
    QHBoxLayout* layout29;
    QSpacerItem* spacer21;
    QVBoxLayout* groupBox5Layout;
    QHBoxLayout* layout45;
    QSpacerItem* spacer28;
    QHBoxLayout* layout30_2;
    QSpacerItem* spacer19_2;
    QVBoxLayout* layout29_2;
    QVBoxLayout* btngrpProfilesLayout;
    QHBoxLayout* layout45_2;
    QSpacerItem* spacer24;
    QHBoxLayout* layout34;
    QSpacerItem* spacer25;
    QVBoxLayout* layout33_2;
    QHBoxLayout* layout32_2;
    QSpacerItem* spacer27;
    QVBoxLayout* groupBox3Layout;
    QVBoxLayout* layout37;
    QHBoxLayout* layout14;
    QSpacerItem* spacer8;
    QHBoxLayout* layout8;
    QSpacerItem* spacer3;
    QSpacerItem* spacer2;
    QSpacerItem* spacer4;
    QVBoxLayout* layout2;
    QVBoxLayout* layout4;
    QHBoxLayout* layout36;
    QSpacerItem* spacer9;
    QHBoxLayout* layout38;
    QSpacerItem* spacer2_2;
    QHBoxLayout* layout36_2;
    QHBoxLayout* layout37_2;
    QHBoxLayout* layout30_3;
    QSpacerItem* spacer21_2;
    QHBoxLayout* layout30_4;
    QSpacerItem* Horizontal_Spacing2;

protected slots:
    virtual void languageChange();

private:
    void destroy();
    int calcDigits( void );
    QString getNumber( int num );
    QString getNumberByID( int num );
    QString firstCapitalize( QString s );
    QString allCapitalize( QString s );
    bool checkFile( int item );
    virtual void fixViewGeometry( int mode );
    void fixbuttonOk();
    int getRandom();
    bool randExist( int num );
    bool isRelaxed( int item );
    QString fixFormat( QString mFormat );
    bool canDoRelaxed( void );
    QDateTime exifToDate( QString x );
    void writeConfig();
    void readHistory();
    void writeHistory();
    int getSameNewName();
    bool findSelected( QString name );
    QString increaseQString( QString tmp );
    void loadIcons();
    bool historyItemExist(KComboBox *com, QString s);
    void renameError(int index,int mode=0);
    void exitError();

private slots:
    virtual void rShowClicked( int val );
    void rStartClicked( int val );
    void headerClicked( int section );
    void sortToggled( bool state );

};

#endif // RENAME_H
